let limitlessNotification = new LimitlessNotification();

$(document).on('click', '#notify_success', function () {
    limitlessNotification.set('Success!', 'This is a success message!', 'success');
});

$(document).on('click', '#notify_error', function () {
    limitlessNotification.set('Error!', 'This is an error message!', 'error');
});

$(document).on('click', '#notify_warning', function () {
    limitlessNotification.set('', 'This is a warning message!', ''); // warning type as default
});

$(document).on('click', '#notify_info', function () {
    limitlessNotification.set('Info!', 'This is an info message!', 'info');
});

$(document).on('click', '#notify_confirm', function () {
    let instance = limitlessNotification.set('Confirmation', 'Are you sure?', 'warning', true);

    // On confirm
    instance.get().on('pnotify.confirm', function() {
        alert('Are you really really sure?');
    })

    // On cancel
    instance.get().on('pnotify.cancel', function() {
        alert('Okay.');
    });
});

$(document).on('click', '#notify_bar', function () {
    limitlessNotification.set('Bar!', 'This is a bar notification', 'info', false, true, 'bottom');
});